# TODO
# - phorum-mod-htmlpurifier package: plugins/phorum
# - apidocs package: docs
# - run tests
%include	/usr/lib/rpm/macros.php
%define		php_min_version 5.1.2
Summary:	Standards-compliant HTML filter library written in PHP
Summary(pl.UTF-8):	Zgodna ze standardami biblioteka filtrująca HTML napisana w PHP
Name:		php-htmlpurifier
Version:	4.1.0
Release:	3
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	http://htmlpurifier.org/releases/htmlpurifier-%{version}.tar.gz
# Source0-md5:	d8a4388a7fe475db6a625f0c1b30bcae
URL:		http://www.htmlpurifier.org/
BuildRequires:	rpm-php-pearprov
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	sed >= 4.0
Requires:	php(core) >= %{php_min_version}
Requires:	php(ctype)
Requires:	php(dom)
Requires:	php(pcre)
Requires:	php(spl)
Requires:	php(xml)
Suggests:	php-iconv
Suggests:	php-tidy
Obsoletes:	htmlpurifier
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# bad depsolver
%define		_noautopear	pear

# exclude optional php dependencies
%define		_noautophp	php-curl

# put it together for rpmbuild
%define		_noautoreq	%{?_noautophp} %{?_noautopear}

%description
HTML Purifier is a standards-compliant HTML filter library written in
PHP. HTML Purifier will not only remove all malicious code (better
known as XSS) with a thoroughly audited, secure yet permissive
whitelist, it will also make sure your documents are standards
compliant, something only achievable with a comprehensive knowledge of
W3C's specifications.

%description -l pl.UTF-8
HTML Purifier to zgodna ze standardami biblioteka filtrująca HTML
napisana w PHP. Nie tylko usuwa cały niebezpieczny kod (bardziej znany
jako XSS) z dobrze zaudytowaną i bezpieczną listą przypadków
akceptowanych, ale także upewnia się, że dokumenty są zgodne ze
standardami, co jest zwykle osiągalne tylko z dobrą znajomością
specyfikacji W3C.

%prep
%setup -qn htmlpurifier-%{version}
find -name '*.php' -print0 | xargs -0 %undos
mv INSTALL.fr{.utf8,}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}
cp -a library/* $RPM_BUILD_ROOT%{php_data_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS INSTALL README TODO WHATSNEW WYSIWYG
%doc FOCUS NEWS VERSION WHATSNEW
%doc %lang(fr) INSTALL.fr
%{php_data_dir}/*
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 4d888ee
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> acf75c5
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> ad2fd5b
- BR: rpm-php-pearprov
- dropped BR: unzip

* Wed May 26 2010 Elan Ruusamäe <glen@pld-linux.org> 22ebfa9
- obsolete old name

* Wed May 26 2010 Elan Ruusamäe <glen@pld-linux.org> af2376b
- up to 4.1.0

* Sun May 16 2010 sparky <sparky@pld-linux.org> bed3f5b
- BR: unzip

* Tue Jul 29 2008 Elan Ruusamäe <glen@pld-linux.org> 9c2c086
- 2.1.5

* Sun Jan 13 2008 Jakub Bogusz <qboosh@pld-linux.org> d023594
- pl

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 02bc79f
- up to 2.1.3

* Thu Oct 18 2007 Elan Ruusamäe <glen@pld-linux.org> f32b4a0
- package files, deps

* Thu Oct 18 2007 Elan Ruusamäe <glen@pld-linux.org> 86896c3
- new, unfinished

